/*
 * @adonisjs/http-server
 *
 * (c) AdonisJS
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
import getPort from 'get-port';
import { getActiveTest } from '@japa/runner';
import { createServer } from 'node:http';
export const httpServer = {
    async create(handler) {
        const server = createServer(handler);
        const test = getActiveTest();
        test?.cleanup(() => {
            server.close();
        });
        const port = await getPort({ port: 3000 });
        return new Promise((resolve) => {
            server.listen(port, 'localhost', () => {
                return resolve({ server, port, url: `http://localhost:${port}` });
            });
        });
    },
};
