/*
 * @adonisjs/http-server
 *
 * (c) AdonisJS
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
import { AsyncLocalStorage } from 'node:async_hooks';
/**
 * Async local storage for HTTP context
 */
export const asyncLocalStorage = {
    /**
     * Check if the async local storage for the HTTP
     * context is enabled or not
     */
    isEnabled: false,
    /**
     * HTTP context storage instance for the current scope
     */
    storage: null,
    /**
     * Create the storage instance. This method must be called only
     * once.
     */
    create() {
        this.isEnabled = true;
        this.storage = new AsyncLocalStorage();
        return this.storage;
    },
    /**
     * Destroy the create storage instance
     */
    destroy() {
        this.isEnabled = false;
        this.storage = null;
    },
};
